## org.apache.bcel.generic
Class INVOKESTATIC

    java.lang.Object
      org.apache.bcel.generic.Instruction
          org.apache.bcel.generic.CPInstruction
              org.apache.bcel.generic.FieldOrMethod
                  org.apache.bcel.generic.InvokeInstruction
                      org.apache.bcel.generic.INVOKESTATIC

All Implemented Interfaces:
  Serializable, Cloneable, ExceptionThrower, IndexedInstruction, LoadClass, StackConsumer, StackProducer, TypedInstruction

    public class INVOKESTATIC

extends InvokeInstruction

INVOKESTATIC - Invoke a class (static) method

    Stack: ..., [arg1, [arg2 ...]] -> ...

Version:
  $Id: INVOKESTATIC.java 386056 2006-03-15 11:31:56Z tcurdt $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.bcel.generic.CPInstruction
`index`

Fields inherited from class org.apache.bcel.generic.Instruction
`length, opcode`

Constructor Summary
`INVOKESTATIC(int index)`

Method Summary
`void` `accept(Visitor v)` Call corresponding visitor method(s).
`Class[]` `getExceptions()`

Methods inherited from class org.apache.bcel.generic.InvokeInstruction
`consumeStack, getArgumentTypes, getMethodName, getReturnType, getType, produceStack, toString`

Methods inherited from class org.apache.bcel.generic.FieldOrMethod
`getClassName, getClassType, getLoadClassType, getName, getReferenceType, getSignature`

Methods inherited from class org.apache.bcel.generic.CPInstruction
`dump, getIndex, initFromFile, setIndex, toString`

Methods inherited from class org.apache.bcel.generic.Instruction
`copy, equals, getComparator, getLength, getName, getOpcode, readInstruction, setComparator, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### INVOKESTATIC

    public INVOKESTATIC(int index)

Method Detail

### getExceptions

    public Class[] getExceptions()

### accept

    public void accept(Visitor v)

  Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.

  Specified by:
    `accept` in class `Instruction`
  Parameters:
    `v` - Visitor object

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.